package com.ruoyi.learn.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 知识点树对象 learn_knowledge_tree
 * 
 * @author ruoyi
 * @date 2025-09-25
 */
public class LearnKnowledgeTree extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 知识点id */
    private Long id;

    /** 知识点名称 */
    @Excel(name = "知识点名称")
    private String name;

    /** 父ID */
    @Excel(name = "父ID")
    private Long pid;

    /** 祖级列表 */
    @Excel(name = "祖级列表")
    private String ancestors;

    /** 科目id */
    @Excel(name = "科目id")
    private Long subjectId;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 级数 */
    @Excel(name = "级数")
    private Long level;

    /** 题目数 */
    @Excel(name = "题目数")
    private Long questionsCount;

    /** 适用省份 */
    @Excel(name = "适用省份")
    private String locations;

    /** 适用考生类型 */
    @Excel(name = "适用考生类型")
    private String examineeTypes;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }

    public void setPid(Long pid) 
    {
        this.pid = pid;
    }

    public Long getPid() 
    {
        return pid;
    }

    public void setAncestors(String ancestors) 
    {
        this.ancestors = ancestors;
    }

    public String getAncestors() 
    {
        return ancestors;
    }

    public void setSubjectId(Long subjectId) 
    {
        this.subjectId = subjectId;
    }

    public Long getSubjectId() 
    {
        return subjectId;
    }

    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }

    public void setLevel(Long level) 
    {
        this.level = level;
    }

    public Long getLevel() 
    {
        return level;
    }

    public void setQuestionsCount(Long questionsCount) 
    {
        this.questionsCount = questionsCount;
    }

    public Long getQuestionsCount() 
    {
        return questionsCount;
    }

    public void setLocations(String locations) 
    {
        this.locations = locations;
    }

    public String getLocations() 
    {
        return locations;
    }

    public void setExamineeTypes(String examineeTypes) 
    {
        this.examineeTypes = examineeTypes;
    }

    public String getExamineeTypes() 
    {
        return examineeTypes;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("pid", getPid())
            .append("ancestors", getAncestors())
            .append("subjectId", getSubjectId())
            .append("sort", getSort())
            .append("level", getLevel())
            .append("questionsCount", getQuestionsCount())
            .append("locations", getLocations())
            .append("examineeTypes", getExamineeTypes())
            .toString();
    }
}
